Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033460
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementminorhave not tried2016-07-11 14:272016-08-12 13:29
ReporterSanjotaView Statuspublic 
Assigned ToSanjota 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision1e59b5f3ed0a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033460: Ability to launch the report without comparing it with a previous year

Descriptionthe ability to launch the report without comparing it with a previous year.
Noe: Make Reference Year field optional.
Steps To Reproduce1) Open Balance sheet and P&L Structure window.
2) Select following details
   General Ledger : F&B International Group US/A/US Dollar
   Accounting Report : Balance Sheet
   Organization : F&B Espana SA
   Account Level : Account
   Show only accounts with value : true(checked)
   Show Account codes : true(checked)
      
   Year : 2016
   As of Date : 11-07-2016
   Reference Year : 2016
   As of Date : 11-07-2016
   Initial page number
4) Click on PDF Format
5) Open the downloaded GeneralAccountingReportsPDF report,
   Notice that to choose reference year and it's details all the time.
Proposed SolutionUse Improved Balance Sheet's Balance sheet and PL report for reference present in the module org.openbravo.report.improved.balancesheet.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0033463 closedvmromanos API Change Request : Change in the signature of the method selectFactAcct() present in AccountTree_Data.xsql 

-  Notes
(0088373)
Sanjota (developer)
2016-07-11 14:28

Test Plan:
1) Open Balance sheet and P&L Structure window.
2) Select following details
   General Ledger : F&B International Group US/A/US Dollar
   Accounting Report : Balance Sheet
   Organization : F&B Espana SA
   Account Level : Account
   Show only accounts with value : true(checked)
   Show Account codes : true(checked)
      
   Year : 2016
   As of Date : 11-07-2016
   
3) Notice that there is new field
   Compare To(checked by default)
   Reference Year : 2016
   As of Date : 11-07-2016
   Initial page number
4) Click on PDF Format
5) Open the downloaded GeneralAccountingReportsPDF report,
   Notice that you can see details of selected year along with reference year

1) Open Balance sheet and P&L Structure window.
2) Select following details
   General Ledger : F&B International Group US/A/US Dollar
   Accounting Report : Balance Sheet
   Organization : F&B Espana SA
   Account Level : Account
   Show only accounts with value : true(checked)
   Show Account codes : true(checked)
      
   Year : 2016
   As of Date : 11-07-2016
   
3) Notice that there is new field
   Compare To(checked by default)
   Deselect the compared to(un check)
4) Notice that the reference year field is not present
5) Click on PDF Format
6) Open the downloaded GeneralAccountingReportsPDF report,
   Notice that you can see details of selected year only. No reference year details is available.


Note: We use "Compare To" field to decide to have "Reference Year".
The Report(Balance sheet or PL report) Generated will have details of reference year based on the "Compare To" check mark.
i.e if "Compare To" is selected then PDF will have details of reference year too along with year selected
else only selected year details.
(0088916)
hgbot (developer)
2016-08-09 09:59

Repository: erp/devel/pi
Changeset: 87c9f038283f3663c60e0a04bd25ecbbe96495d3
Author: Sanjota <sanjota.nelagi <at> promantia.com>
Date: Mon Jul 11 22:13:15 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/87c9f038283f3663c60e0a04bd25ecbbe96495d3 [^]

Fixes issue 33460 : New field for comparing ref year in Balance sheet & PL rep.

New field "Compare To" created to have reference year as optional
Code reference from org.openbravo.report.improved.balancesheet module.

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.html
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.xml
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReportsPDF.jrxml
M src/org/openbravo/erpCommon/businessUtility/AccountTree_data.xsql
---
(0088917)
hgbot (developer)
2016-08-09 09:59

Repository: erp/devel/pi
Changeset: 72acd4fea07e444d98596b0cec4e1f6ca4a147eb
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Aug 09 09:50:55 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/72acd4fea07e444d98596b0cec4e1f6ca4a147eb [^]

Fixed issue 33460: code review improvements

Avoid NullPointerException in non-compartive mode
In JasperReport:
 * Band height for details restored to 15, so we have the same number of lines as before the change
 * Period N-1 label only shown in comparative mode

---
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReportsPDF.jrxml
M src/org/openbravo/erpCommon/businessUtility/AccountTree_data.xsql
---
(0088918)
vmromanos (developer)
2016-08-09 10:00

Code review + testing OK
(0088920)
hgbot (developer)
2016-08-09 10:58

Repository: erp/devel/pi
Changeset: 036a261e3b6f694fe2607a7f53b1f55de4fa9e73
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Aug 09 10:57:46 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/036a261e3b6f694fe2607a7f53b1f55de4fa9e73 [^]

Related to issue 33460: Temporary backout till API change is approved

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.html
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.xml
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReportsPDF.jrxml
M src/org/openbravo/erpCommon/businessUtility/AccountTree_data.xsql
---
(0088923)
vmromanos (developer)
2016-08-09 11:43

Reopened till the API Change is approved
(0089050)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089051)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089052)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089063)
hgbot (developer)
2016-08-12 08:41

Repository: erp/devel/pi
Changeset: e368bb414b7e54f309aafef874c0fd25eed4eb58
Author: Sanjota <sanjota.nelagi <at> promantia.com>
Date: Mon Jul 11 22:13:15 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e368bb414b7e54f309aafef874c0fd25eed4eb58 [^]

Fixes issue 33460 : New field for comparing ref year in Balance sheet & PL rep.

New field "Compare To" created to have reference year as optional
Code reference from org.openbravo.report.improved.balancesheet module.

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.html
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.xml
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReportsPDF.jrxml
M src/org/openbravo/erpCommon/businessUtility/AccountTree_data.xsql
---
(0089064)
hgbot (developer)
2016-08-12 08:41

Repository: erp/devel/pi
Changeset: 7fa430ed866b2159831656291b1dbdb8a1b3dc57
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Aug 09 09:50:55 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7fa430ed866b2159831656291b1dbdb8a1b3dc57 [^]

Fixed issue 33460: code review improvements

Avoid NullPointerException in non-compartive mode
In JasperReport:
 * Band height for details restored to 15, so we have the same number of lines as before the change
 * Period N-1 label only shown in comparative mode

---
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReportsPDF.jrxml
M src/org/openbravo/erpCommon/businessUtility/AccountTree_data.xsql
---
(0089065)
hgbot (developer)
2016-08-12 08:42

Repository: erp/devel/pi
Changeset: 1e59b5f3ed0a99f968169666487bbf90cb216d18
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Aug 09 11:24:49 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1e59b5f3ed0a99f968169666487bbf90cb216d18 [^]

Fixed issue 33460: fixed dbcons

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
---
(0089066)
hgbot (developer)
2016-08-12 08:42

Repository: erp/devel/api-checks
Changeset: b3823e11c33d79b08659da3bf61990d5daa7168e
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Fri Aug 12 08:35:38 2016 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/b3823e11c33d79b08659da3bf61990d5daa7168e [^]

Fixed bug 33463: Java (from xsql) API change related to issue 33460

The xsql query in charge of getting the data now has a new parameter to control whether to query or not for the comparative year. Thus we can improve the performance of the query, avoiding to retrieve data that is not going to be shown later on in the report.

This xsql file builds a public Java class and method. The method now has a new parameter which creates the API change.

---
M java/reference/java.japi.gz
---
(0089068)
vmromanos (developer)
2016-08-12 08:44

Code review + testing OK
(0089088)
hudsonbot (developer)
2016-08-12 13:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dee9bec25144 [^]
Maturity status: Test
(0089089)
hudsonbot (developer)
2016-08-12 13:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dee9bec25144 [^]
Maturity status: Test
(0089090)
hudsonbot (developer)
2016-08-12 13:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dee9bec25144 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-07-11 14:27 Sanjota New Issue
2016-07-11 14:27 Sanjota Assigned To => Sanjota
2016-07-11 14:27 Sanjota Modules => Core
2016-07-11 14:27 Sanjota Triggers an Emergency Pack => No
2016-07-11 14:28 Sanjota Note Added: 0088373
2016-07-11 14:28 Sanjota Status new => scheduled
2016-07-12 11:25 Sanjota Relationship added depends on 0032703
2016-07-12 11:26 Sanjota Relationship deleted depends on 0032703
2016-07-12 11:26 Sanjota Relationship added depends on 0033463
2016-08-09 09:59 hgbot Checkin
2016-08-09 09:59 hgbot Note Added: 0088916
2016-08-09 09:59 hgbot Status scheduled => resolved
2016-08-09 09:59 hgbot Resolution open => fixed
2016-08-09 09:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/87c9f038283f3663c60e0a04bd25ecbbe96495d3 [^]
2016-08-09 09:59 hgbot Checkin
2016-08-09 09:59 hgbot Note Added: 0088917
2016-08-09 09:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/87c9f038283f3663c60e0a04bd25ecbbe96495d3 [^] => http://code.openbravo.com/erp/devel/pi/rev/72acd4fea07e444d98596b0cec4e1f6ca4a147eb [^]
2016-08-09 10:00 vmromanos Review Assigned To => vmromanos
2016-08-09 10:00 vmromanos Note Added: 0088918
2016-08-09 10:00 vmromanos Status resolved => closed
2016-08-09 10:00 vmromanos Fixed in Version => 3.0PR16Q4
2016-08-09 10:58 hgbot Checkin
2016-08-09 10:58 hgbot Note Added: 0088920
2016-08-09 11:43 vmromanos Note Added: 0088923
2016-08-09 11:43 vmromanos Status closed => new
2016-08-09 11:43 vmromanos Resolution fixed => open
2016-08-09 11:43 vmromanos Fixed in Version 3.0PR16Q4 =>
2016-08-09 11:43 vmromanos Status new => scheduled
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089050
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089051
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089052
2016-08-12 08:41 hgbot Checkin
2016-08-12 08:41 hgbot Note Added: 0089063
2016-08-12 08:41 hgbot Status scheduled => resolved
2016-08-12 08:41 hgbot Resolution open => fixed
2016-08-12 08:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/72acd4fea07e444d98596b0cec4e1f6ca4a147eb [^] => http://code.openbravo.com/erp/devel/pi/rev/e368bb414b7e54f309aafef874c0fd25eed4eb58 [^]
2016-08-12 08:41 hgbot Checkin
2016-08-12 08:41 hgbot Note Added: 0089064
2016-08-12 08:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/e368bb414b7e54f309aafef874c0fd25eed4eb58 [^] => http://code.openbravo.com/erp/devel/pi/rev/7fa430ed866b2159831656291b1dbdb8a1b3dc57 [^]
2016-08-12 08:42 hgbot Checkin
2016-08-12 08:42 hgbot Note Added: 0089065
2016-08-12 08:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/7fa430ed866b2159831656291b1dbdb8a1b3dc57 [^] => http://code.openbravo.com/erp/devel/pi/rev/1e59b5f3ed0a99f968169666487bbf90cb216d18 [^]
2016-08-12 08:42 hgbot Checkin
2016-08-12 08:42 hgbot Note Added: 0089066
2016-08-12 08:44 vmromanos Note Added: 0089068
2016-08-12 08:44 vmromanos Status resolved => closed
2016-08-12 13:29 hudsonbot Checkin
2016-08-12 13:29 hudsonbot Note Added: 0089088
2016-08-12 13:29 hudsonbot Checkin
2016-08-12 13:29 hudsonbot Note Added: 0089089
2016-08-12 13:29 hudsonbot Checkin
2016-08-12 13:29 hudsonbot Note Added: 0089090


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker